<%= form_for order, html: { class: "edit-ticket-order-form" } do |f| %>
  <% if order.errors.any? %>
    <%= render "shared/errors", resource: order %>
  <% end %>

  <div class="col-md-6">
    <div class="form-group">
      <%= f.label :email, class: "control-label" %>
      <%= f.email_field :email, class: "form-control" %>
    </div>

    <div class="form-group">
      <%= f.label :street_address, "Billing Street Address", class: "control-label" %>
      <%= f.text_field :street_address, class: "form-control", required: true %>
    </div>

    <div class="form-group">
      <%= f.label :city, class: "control-label" %>
      <%= f.text_field :city, class: "form-control", required: true %>
    </div>

    <div class="form-group">
      <%= f.label :state, class: "control-label" %>
      <%= f.text_field :state, class: "form-control", required: true %>
    </div>
  </div>

  <div class="col-md-6">
    <div class="form-group">
      <%= f.label :credit_card, "Credit Card", class: "control-label" %>
      <%= f.text_field :credit_card, class: "form-control" %>
    </div>

    <div class="form-group">
      <%= f.label :name, "Name on Credit Card", class: "control-label" %>
      <%= f.text_field :name, class: "form-control" %>
    </div>

    <div class="form-group row">
      <div class="col-xs-12">
        <%= f.label :card_expiration_month, "Expiration Date", class: "control-label" %>
      </div>
      <div class="col-xs-6">
        <%= f.select :card_expiration_month,
                     ["01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12"],
                     { prompt: "Select a month..." }, class: "form-control" %>
       </div>

      <div class="col-xs-6">
        <%= f.select :card_expiration_year, [], { prompt: "Select a year..." }, { class: "form-control" } do %>
          <% 11.times do |n| %>
            <%= content_tag(:option, (Time.now.year) + n) %>
          <% end %>
        <% end %>
      </div>
    </div>

    <div class="form-group">
      <%= f.label :cvv, "CVV (3 digits on back of card)", class: "control-label" %>
      <%= f.text_field :cvv, class: "form-control", required: true %>
    </div>
  </div>

  <div class="col-xs-12 form-group text-center">
    <hr />

    <%= f.submit "Place Order", class: "btn btn-primary submit-ticket-order-button" %>
    or
    <%= link_to "Cancel order", order, method: :delete,
                data: { confirm: 'Are you sure you want to cancel this order?' } %>
  </div>
<% end %>
